// xx-xxxxxxxx-xxx

#include <iostream>
#include <cstdlib> 
#include <iomanip> 
#include <cmath> 

using namespace std;

bool is_prime(long n); // º¯ÊýÉùÃ÷ 

int main()
{
	long p, n; 
   
/***********************
   input your code here 
************************/
	
	cout << endl;	

	return 0;
}

bool is_prime(long n)
{ 
/***********************
   input your code here 
************************/
} 

